Description

The issue filters are persistent between the Redmine pages until your session expires.  I think that It'll be very useful to have the

same behaviour also for time entries filters (especially starting with version 3.4.0 where a new tab named "Spent time" was added) .

Currently, the filters are cleared after you leave the tab.

To reproduce:

Go to the spent time tab

Create a filter

Navigate to issues tab

Return to the spent time tab

Observe that the filters are reseted.

Related issues:

Related to Redmine - Defect #32322: changes made to filter/column/groupby is ... Needs feedback

History

#1 - 2016-12-11 13:25 - Go MAEDA

- Target version set to 3.4.0

As I wrote in #14817#note-5, the patch works fine for me and passed all test.

Setting target version to 3.4.0.

Thanks for submitting the patch again.

#2 - 2016-12-16 09:18 - Jean-Philippe Lang

- Target version deleted (3.4.0)

In the first place, issue filters were strored in session as an easy solution to problems like #14817. Storing search filters in session is unsual for web

applications and I'd rather remove this from the issue list than add it to spent time.

As your patch shows, the change is very simple for those who need it.

#3 - 2016-12-16 09:23 - Marius BĂLTEANU

Jean-Philippe Lang wrote:

In the first place, issue filters were stored in session as an easy solution to problems like #14817. Storing search filters in session is unusual for

web applications and I'd rather remove this from the issue list than add it to spent time.

As your patch shows, the change is very simple for those who need it.

 Thanks for your feedback. We'll try to find and propose another solution based on your input in order to have the filters persistent.

#4 - 2018-08-07 06:30 - Marius BĂLTEANU

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Resolution set to Wont fix

2025-07-04 1/2

https://www.redmine.org/issues/14817#note-5
https://www.redmine.org/issues/14817
https://www.redmine.org/issues/14817


I'm closing this as "Won't fix" and I'll create a new issue when I've another solution.

#5 - 2019-10-22 22:40 - Marius BĂLTEANU

- Related to Defect #32322: changes made to filter/column/groupby is not saved to session cookie added

Files

save_time_entries_queries_in_session.patch 5.37 KB 2016-12-11 Marius BĂLTEANU
